<?php

require_once __DIR__ . '/../../connect.php';

$helpID = filterRequest("id");

$sql = "SELECT * FROM `helpCenter` WHERE `id` = :id";
$stmt = $con->prepare($sql);
$stmt->bindParam(':id', $helpID, PDO::PARAM_INT);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    $record = $stmt->fetch(PDO::FETCH_ASSOC);
    jsonSuccess($record);
} else {
    jsonError("Help question not found");
}
?>